package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.SysSource;
import com.ruoyi.system.domain.dto.*;

/**
 * 资源位Service接口
 * 
 * @author ruoyi
 * @date 2024-11-08
 */
public interface ISysSourceService 
{
    /**
     * 查询资源位
     * 
     * @param sourceId 资源位主键
     * @return 资源位
     */
    public SysSource selectSysSourceBySourceId(Long sourceId);

    /**
     * 查询资源位列表
     * 
     * @param sysSource 资源位
     * @return 资源位集合
     */
    public List<SysSource> selectSysSourceList(SysSource sysSource);

    /*
    * AR 获取资源位信息列表, 包括作品标题和介绍
    * */
    public List<ShowSysSourceARListDto> getSysSourceARList(SysSource sysSource);

    /**
     * 新增资源位
     * 
     * @param sysSource 资源位
     * @return 结果
     */
    public int insertSysSource(SysSource sysSource);

    /**
     * 修改资源位
     * 
     * @param sysSource 资源位
     * @return 结果
     */
    public int updateSysSource(SysSource sysSource);

    /*
    * 更新默认背景
    * */
    public int updateDefaultSourceWorkAddress(String city, String scenic, String part, String sourceStatus, String workAddress);

    /*
    *更新默认价格
     */
    public int updateDefaultSourcePrice(String city, String scenic, String part, String price);


    /**
     * 批量删除资源位
     * 
     * @param sourceIds 需要删除的资源位主键集合
     * @return 结果
     */
    public int deleteSysSourceBySourceIds(Long[] sourceIds);

    /**
     * 删除资源位信息
     * 
     * @param sourceId 资源位主键
     * @return 结果
     */
    public int deleteSysSourceBySourceId(Long sourceId);

    /*
    * 后台获取资源位信息列表
    * */

    public List<SourceListDto> getSysSourceList(SysSource sysSource);

    /*
    * 根据 b_bought 获取前10资源位
    * */

    public List<HotSourceDto> getHotSource();

    public int updateSysSourceByCP(SysSource sysSource);

    /*
    * 查看我的发布资源位详情
    * */
    public List<UserPublishWorkSourceListDto> getUserPublishWorkSourceList(Long workId);

    /**
     * 按xy坐标返回AR资源位图片
     * */
    public List<ShowSysSourceARListDto> getARSource(String city,  String scenic, List<Coordinate> coordinates);
}
